# [−] List of all items

### Structs

- block::BlockBuilder
- block::BlockHashBuilder
- block::BlockHeaderBuilder
- block::TransactionBuilder
- block::TransactionInputBuilder
- block::TransactionOutputBuilder
- chain_builder::ChainBuilder
- chain_builder::TransactionBuilder
- invoke::Identity

### Traits

- invoke::Invoke

### Functions

- block1
- block::block_builder
- block::block_hash_builder
- block::build_n_empty_blocks
- block::build_n_empty_blocks_from
- block::build_n_empty_blocks_from_genesis
- block_h0
- block_h1
- block_h169
- block_h170
- block_h181
- block_h182
- block_h2
- block_h221
- block_h3
- block_h9
- genesis

### Constants

- block::TIMESTAMP_COUNTER

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g. `str,u8` or `String,struct:Vec,test`)